Ubuntu

usb stick doesn't mount

Reported by Dag Rende on 2008-03-09
20
Affects Status Importance Assigned to Milestone
hal (Ubuntu)
Undecided
Unassigned

Bug Description

dag@tp:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

I insert a usb stick that worked fine in Gutsy, and get a message window: "Cannot mount volume. Invalid mount option when attempting to mount the volume 'UDISK 2.0'."

I have a Thinkpad T61 6460-8NG.

The /var/log/messages around the error is (for two previously working usb sticks):
Mar 9 17:00:08 tp kernel: [15232.713220] usb 7-2: new high speed USB device using ehci_hcd and address 3
Mar 9 17:00:08 tp kernel: [15232.866279] usb 7-2: configuration #1 chosen from 1 choice
Mar 9 17:00:08 tp kernel: [15232.866699] scsi6 : SCSI emulation for USB Mass Storage devices
Mar 9 17:00:13 tp kernel: [15237.859710] scsi 6:0:0:0: Direct-Access USB DISK 2.0 PMAP PQ: 0 ANSI: 0 CCS
Mar 9 17:00:14 tp kernel: [15238.671692] sd 6:0:0:0: [sdb] 1003520 512-byte hardware sectors (514 MB)
Mar 9 17:00:14 tp kernel: [15238.672715] sd 6:0:0:0: [sdb] Write Protect is off
Mar 9 17:00:14 tp kernel: [15238.675109] sd 6:0:0:0: [sdb] 1003520 512-byte hardware sectors (514 MB)
Mar 9 17:00:14 tp kernel: [15238.676119] sd 6:0:0:0: [sdb] Write Protect is off
Mar 9 17:00:14 tp kernel: [15238.676126] sdb: sdb1
Mar 9 17:00:14 tp kernel: [15238.677924] sd 6:0:0:0: [sdb] Attached SCSI removable disk
Mar 9 17:00:14 tp kernel: [15238.677960] sd 6:0:0:0: Attached scsi generic sg2 type 0
Mar 9 17:00:14 tp kernel: [15239.033956] UDF-fs: No partition found (1)
Mar 9 17:00:14 tp kernel: [15239.079776] ISOFS: Unable to identify CD-ROM format.
Mar 9 17:00:27 tp kernel: [15251.224958] UDF-fs: No partition found (1)
Mar 9 17:00:27 tp kernel: [15251.267525] ISOFS: Unable to identify CD-ROM format.
Mar 9 17:00:34 tp kernel: [15258.255099] UDF-fs: No partition found (1)
Mar 9 17:00:34 tp kernel: [15258.297917] ISOFS: Unable to identify CD-ROM format.
Mar 9 17:01:46 tp kernel: [15330.242852] usb 7-2: USB disconnect, address 3

Mar 9 17:01:48 tp kernel: [15332.378854] usb 7-2: new high speed USB device using ehci_hcd and address 4
Mar 9 17:01:48 tp kernel: [15332.544444] usb 7-2: configuration #1 chosen from 1 choice
Mar 9 17:01:48 tp kernel: [15332.545038] scsi7 : SCSI emulation for USB Mass Storage devices
Mar 9 17:01:53 tp kernel: [15337.536592] scsi 7:0:0:0: Direct-Access Kingston DataTraveler 2.0 1.00 PQ: 0 ANSI: 2
Mar 9 17:01:53 tp kernel: [15337.546392] sd 7:0:0:0: [sdb] 8089600 512-byte hardware sectors (4142 MB)
Mar 9 17:01:53 tp kernel: [15337.546920] sd 7:0:0:0: [sdb] Write Protect is off
Mar 9 17:01:53 tp kernel: [15337.549027] sd 7:0:0:0: [sdb] 8089600 512-byte hardware sectors (4142 MB)
Mar 9 17:01:53 tp kernel: [15337.549655] sd 7:0:0:0: [sdb] Write Protect is off
Mar 9 17:01:53 tp kernel: [15337.549661] sdb: sdb1
Mar 9 17:01:53 tp kernel: [15337.662987] sd 7:0:0:0: [sdb] Attached SCSI removable disk
Mar 9 17:01:53 tp kernel: [15337.663027] sd 7:0:0:0: Attached scsi generic sg2 type 0
Mar 9 17:01:53 tp kernel: [15337.916769] UDF-fs: No partition found (1)
Mar 9 17:01:53 tp kernel: [15337.979142] ISOFS: Unable to identify CD-ROM format.
Mar 9 17:02:18 tp kernel: [15363.030781] usb 7-2: USB disconnect, address 4

Marcelo Briones (margori) wrote :

Thank you for your feedback.

Has this usb stick partition table o format? Please just verify this in another computer.

naught101 (naught101) wrote :
Download full text (4.6 KiB)

I think I'm having a similar problem. Sometimes devices mount, sometimes they don't. Udev seems to create the device files correctly and with the right permissions. Gparted picks up the partitions fine fine, and my girlfriend's computer with gutsy auto mounts them all correctly (2 FAT partitions, one EXT3).

naught101@naught101-laptop:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
naught101@naught101-laptop:~$ uname -a
Linux naught101-laptop 2.6.24-12-rt #1 SMP PREEMPT RT Thu Mar 13 00:49:29 UTC 2008 i686 GNU/Linux

Syslog lines on insert:
25/03/08 14:58:15 naught101-laptop kernel [ 4841.515649] usb 1-1: new full speed USB device using uhci_hcd and address 4
25/03/08 14:58:15 naught101-laptop kernel [ 4841.814011] usb 1-1: configuration #1 chosen from 1 choice
25/03/08 14:58:15 naught101-laptop kernel [ 4841.829700] scsi10 : SCSI emulation for USB Mass Storage devices
25/03/08 14:58:15 naught101-laptop kernel [ 4841.832672] usb-storage: device found at 4
25/03/08 14:58:15 naught101-laptop kernel [ 4841.833367] usb-storage: waiting for device to settle before scanning
25/03/08 14:58:16 naught101-laptop NetworkManager <debug> [1206417496.816917] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_4b4_6830_DEF10C6AE227_0').
25/03/08 14:58:16 naught101-laptop NetworkManager <debug> [1206417496.830562] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_4b4_6830_DEF10C6AE227_0_if0').
25/03/08 14:58:20 naught101-laptop kernel [ 4851.836782] usb-storage: device scan complete
25/03/08 14:58:20 naught101-laptop kernel [ 4851.866752] scsi 10:0:0:0: Direct-Access SAMSUNG HM120JC 0000 PQ: 0 ANSI: 0
25/03/08 14:58:20 naught101-laptop kernel [ 4851.882667] sd 10:0:0:0: [sdc] 234441648 512-byte hardware sectors (120034 MB)
25/03/08 14:58:20 naught101-laptop kernel [ 4851.892660] sd 10:0:0:0: [sdc] Write Protect is off
25/03/08 14:58:20 naught101-laptop kernel [ 4851.892678] sd 10:0:0:0: [sdc] Mode Sense: 27 00 00 00
25/03/08 14:58:20 naught101-laptop kernel [ 4851.892689] sd 10:0:0:0: [sdc] Assuming drive cache: write through
25/03/08 14:58:20 naught101-laptop kernel [ 4851.902665] sd 10:0:0:0: [sdc] 234441648 512-byte hardware sectors (120034 MB)
25/03/08 14:58:20 naught101-laptop kernel [ 4851.912653] sd 10:0:0:0: [sdc] Write Protect is off
25/03/08 14:58:20 naught101-laptop kernel [ 4851.912670] sd 10:0:0:0: [sdc] Mode Sense: 27 00 00 00
25/03/08 14:58:20 naught101-laptop kernel [ 4851.912680] sd 10:0:0:0: [sdc] Assuming drive cache: write through
25/03/08 14:58:20 naught101-laptop kernel [ 4851.912692] sdc: sdc1 < sdc5 sdc6 > sdc2
25/03/08 14:58:20 naught101-laptop kernel [ 4852.833075] sd 10:0:0:0: [sdc] Attached SCSI disk
25/03/08 14:58:20 naught101-laptop kernel [ 4852.833229] sd 10:0:0:0: Attached scsi generic sg1 type 0
25/03/08 14:58:20 naught101-laptop NetworkManager <debug> [1206417500.588168] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_4b4_6830_DEF10C6AE227_0_if0_scsi_host').
25/03/08 14:58:20 naught101-l...

Read more...

encompass (encompass) wrote :

I seem to have this issue in Hardy too.
But I do notice that I have 3 usb ports. The one in the back right works fine all the time. But the two on the front left don't work all the time. The same thing applies to my usb webcam. Sometimes it works after plugging it in agian, but sometimes never.
This is an IBM t61 with Hardy Beta, but I think it did the same thing in Gutsy

Risto H. Kurppa (risto.kurppa) wrote :

Same here, hardy on HP dv2140eu and a LaCie USB 250G hard disk:

[ 3238.266948] usb 1-5: new high speed USB device using ehci_hcd and address 4
[ 3238.337749] usb 1-5: configuration #1 chosen from 1 choice
[ 3238.431561] usbcore: registered new interface driver libusual
[ 3238.463349] Initializing USB Mass Storage driver...
[ 3238.465710] scsi4 : SCSI emulation for USB Mass Storage devices
[ 3238.466861] usbcore: registered new interface driver usb-storage
[ 3238.466873] USB Mass Storage support registered.
[ 3238.466991] usb-storage: device found at 4
[ 3238.466995] usb-storage: waiting for device to settle before scanning
[ 3240.966946] usb-storage: device scan complete
[ 3240.967930] scsi 4:0:0:0: Direct-Access SAMSUNG SP2514N VF10 PQ: 0 ANSI: 2
[ 3240.974710] sd 4:0:0:0: [sdb] 488397168 512-byte hardware sectors (250059 MB)
[ 3240.976720] sd 4:0:0:0: [sdb] Write Protect is off
[ 3240.976727] sd 4:0:0:0: [sdb] Mode Sense: 53 00 00 08
[ 3240.976730] sd 4:0:0:0: [sdb] Assuming drive cache: write through
[ 3240.978706] sd 4:0:0:0: [sdb] 488397168 512-byte hardware sectors (250059 MB)
[ 3240.980269] sd 4:0:0:0: [sdb] Write Protect is off
[ 3240.980274] sd 4:0:0:0: [sdb] Mode Sense: 53 00 00 08
[ 3240.980276] sd 4:0:0:0: [sdb] Assuming drive cache: write through
[ 3240.980282] sdb: sdb1
[ 3240.985318] sd 4:0:0:0: [sdb] Attached SCSI disk
[ 3240.985362] sd 4:0:0:0: Attached scsi generic sg2 type 0
[ 3243.895943] UDF-fs: No partition found (1)
[ 3244.079052] ISOFS: Unable to identify CD-ROM format.

encompass: can you post the differences in your system log after you
plug in to the USB ports that work, and the one that doesn't work?

Vassili Geronimos (v-geronimos) wrote :

This bug seems to be due to the installer creating an entry in /etc/fstab for a CD-ROM drive when it shouldn't. After installing intrepid alpha 4 on my eeepc (which has no CD-ROM drive), /etc/fstab contains:

# /etc/fstab: static file system information.
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# /dev/sda1
UUID=64d3fc31-3548-4ad1-93be-772f2b20490d / ext3 relatime,errors=remount-ro 0 1
/dev/sdb1 /media/cdrom0 udf,iso9660 user,noauto,exec,utf8 0 0

After inserting an SD card, Gnome pops up an error window that says "Invalid mount option when attempting to mount the volume 'foo'". dmesg contains the following, like the earlier reports:

[ 1425.246342] sd 0:0:0:0: [sdb] 16007168 512-byte hardware sectors (8196 MB)
[ 1425.248258] sd 0:0:0:0: [sdb] Write Protect is on
[ 1425.248258] sd 0:0:0:0: [sdb] Mode Sense: 03 00 80 00
[ 1425.248258] sd 0:0:0:0: [sdb] Assuming drive cache: write through
[ 1425.256265] sd 0:0:0:0: [sdb] 16007168 512-byte hardware sectors (8196 MB)
[ 1425.256410] sd 0:0:0:0: [sdb] Write Protect is on
[ 1425.256410] sd 0:0:0:0: [sdb] Mode Sense: 03 00 80 00
[ 1425.256410] sd 0:0:0:0: [sdb] Assuming drive cache: write through
[ 1425.264012] sdb: sdb1
[ 1426.134756] UDF-fs: No partition found (1)
[ 1426.171011] ISOFS: Unable to identify CD-ROM format.

Deleting the entry for the non-existent CD-ROM drive from /etc/fstab and reinserting the SD card results in the card automatically mounting as it should with no errors.

Since this bug is caused by the install process somewhere, this bug should probably be reassigned away from hal (but I'm not sure which package should be added instead.)

naught101 (naught101) wrote :

I have no such line in my /etc/fstab, and I still get the bug.

cheers
ned

Vassili Geronimos wrote:
> This bug seems to be due to the installer creating an entry in
> /etc/fstab for a CD-ROM drive when it shouldn't. After installing
> intrepid alpha 4 on my eeepc (which has no CD-ROM drive), /etc/fstab
> contains:
>
> # /etc/fstab: static file system information.
> #
> # <file system> <mount point> <type> <options> <dump> <pass>
> proc /proc proc defaults 0 0
> # /dev/sda1
> UUID=64d3fc31-3548-4ad1-93be-772f2b20490d / ext3 relatime,errors=remount-ro 0 1
> /dev/sdb1 /media/cdrom0 udf,iso9660 user,noauto,exec,utf8 0 0
>
> After inserting an SD card, Gnome pops up an error window that says
> "Invalid mount option when attempting to mount the volume 'foo'". dmesg
> contains the following, like the earlier reports:
>
> [ 1425.246342] sd 0:0:0:0: [sdb] 16007168 512-byte hardware sectors (8196 MB)
> [ 1425.248258] sd 0:0:0:0: [sdb] Write Protect is on
> [ 1425.248258] sd 0:0:0:0: [sdb] Mode Sense: 03 00 80 00
> [ 1425.248258] sd 0:0:0:0: [sdb] Assuming drive cache: write through
> [ 1425.256265] sd 0:0:0:0: [sdb] 16007168 512-byte hardware sectors (8196 MB)
> [ 1425.256410] sd 0:0:0:0: [sdb] Write Protect is on
> [ 1425.256410] sd 0:0:0:0: [sdb] Mode Sense: 03 00 80 00
> [ 1425.256410] sd 0:0:0:0: [sdb] Assuming drive cache: write through
> [ 1425.264012] sdb: sdb1
> [ 1426.134756] UDF-fs: No partition found (1)
> [ 1426.171011] ISOFS: Unable to identify CD-ROM format.
>
> Deleting the entry for the non-existent CD-ROM drive from /etc/fstab and
> reinserting the SD card results in the card automatically mounting as it
> should with no errors.
>
> Since this bug is caused by the install process somewhere, this bug
> should probably be reassigned away from hal (but I'm not sure which
> package should be added instead.)
>
>

--
Contact me on:
Jabber/googletalk: <email address hidden>
Skype: naught101
msn: <email address hidden>
ICQ: 93344350
IRC: irc.indymedia.org #climateimc #oceania
phone: 0417 484 735
--------------------------------------------
http://eco101.wordpress.com

ENVIROWIKI is growing, but needs YOUR help
http://www.envirowiki.info/ - the wiki resource for enviro and social justice activists that YOU can edit!

"This is the first age that's ever paid much attention to the future, which is a little ironic since we may not have one." - Arthur C. Clarke
--------------------------------------------

This problem occurs in Intrepid Alpha 6 also.

I installed from a USB flash disk - which went ok.
I don't have a CDROM or DVD connected.

I see the line
/dev/sdb1 /media/cdrom0 udf,iso9660 user,noauto,exec,utf8 0 0
in /etc/fstab

After commenting out the line and reinserting the USB stick, I am able to see its contents.

sam tygier (samtygier) wrote :

If you installed from a usb stick, this is Bug #150872

quick30 (pietervandorp-gmail) wrote :

I installed my Xubuntu 8.04 system on a Acer Extensa 5220 from a USB stick.

I too have a line with a usb device mounted as a cdrom.

Solution: I commented out the line with "/dev/sdb1" in it AND in the line of "/dev/scd0" changed "/media/cdrom1" into "/media/cdrom0".

quick30 (pietervandorp-gmail) wrote :

I installed my Xubuntu 8.04 system on a Acer Extensa 5220 from a USB stick.

I too have a line with a usb device mounted as a cdrom.

Solution: I commented out the line with "/dev/sdb1" in it AND in the line of "/dev/scd0" changed "/media/cdrom1" into "/media/cdrom0".

Tim Casey (tjcasey) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner.

There have been many changes in Ubuntu since that time you reported the bug and your problem may have been fixed with some of the updates. It would help us a lot if you could test the current Ubuntu development version (10.10).

If you can test it, and it is still an issue, we would appreciate if you could upload updated logs by running apport-collect 200287 and any other logs that are relevant for this particular issue.

Changed in hal (Ubuntu):
status: New → Invalid
Robert (robrwo) wrote :

On 12/08/10 18:04 Tim Casey wrote:
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. We are sorry that we do not always have the capacity to
> look at all reported bugs in a timely manner.
>
> There have been many changes in Ubuntu since that time you reported the
> bug and your problem may have been fixed with some of the updates. It
> would help us a lot if you could test the current Ubuntu development
> version (10.10).
>
> If you can test it, and it is still an issue, we would appreciate if you
> could upload updated logs by running apport-collect 200287 and any other
> logs that are relevant for this particular issue.
>
> ** Changed in: hal (Ubuntu)
> Status: New => Invalid
>

This is still an issue.

quick30 (pietervandorp-gmail) wrote :
Download full text (4.4 KiB)

I have some 10.04 for some time now. And I have never had a USB stick
mounted as a CDROM ever since.

2010/8/12 Tim Casey <email address hidden>

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. We are sorry that we do not always have the capacity to
> look at all reported bugs in a timely manner.
>
> There have been many changes in Ubuntu since that time you reported the
> bug and your problem may have been fixed with some of the updates. It
> would help us a lot if you could test the current Ubuntu development
> version (10.10).
>
> If you can test it, and it is still an issue, we would appreciate if you
> could upload updated logs by running apport-collect 200287 and any other
> logs that are relevant for this particular issue.
>
> ** Changed in: hal (Ubuntu)
> Status: New => Invalid
>
> --
> usb stick doesn't mount
> https://bugs.launchpad.net/bugs/200287
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “hal” package in Ubuntu: Invalid
>
> Bug description:
> dag@tp:~$ cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
>
> I insert a usb stick that worked fine in Gutsy, and get a message window:
> "Cannot mount volume. Invalid mount option when attempting to mount the
> volume 'UDISK 2.0'."
>
> I have a Thinkpad T61 6460-8NG.
>
> The /var/log/messages around the error is (for two previously working usb
> sticks):
> Mar 9 17:00:08 tp kernel: [15232.713220] usb 7-2: new high speed USB
> device using ehci_hcd and address 3
> Mar 9 17:00:08 tp kernel: [15232.866279] usb 7-2: configuration #1 chosen
> from 1 choice
> Mar 9 17:00:08 tp kernel: [15232.866699] scsi6 : SCSI emulation for USB
> Mass Storage devices
> Mar 9 17:00:13 tp kernel: [15237.859710] scsi 6:0:0:0: Direct-Access
> USB DISK 2.0 PMAP PQ: 0 ANSI: 0 CCS
> Mar 9 17:00:14 tp kernel: [15238.671692] sd 6:0:0:0: [sdb] 1003520
> 512-byte hardware sectors (514 MB)
> Mar 9 17:00:14 tp kernel: [15238.672715] sd 6:0:0:0: [sdb] Write Protect
> is off
> Mar 9 17:00:14 tp kernel: [15238.675109] sd 6:0:0:0: [sdb] 1003520
> 512-byte hardware sectors (514 MB)
> Mar 9 17:00:14 tp kernel: [15238.676119] sd 6:0:0:0: [sdb] Write Protect
> is off
> Mar 9 17:00:14 tp kernel: [15238.676126] sdb: sdb1
> Mar 9 17:00:14 tp kernel: [15238.677924] sd 6:0:0:0: [sdb] Attached SCSI
> removable disk
> Mar 9 17:00:14 tp kernel: [15238.677960] sd 6:0:0:0: Attached scsi generic
> sg2 type 0
> Mar 9 17:00:14 tp kernel: [15239.033956] UDF-fs: No partition found (1)
> Mar 9 17:00:14 tp kernel: [15239.079776] ISOFS: Unable to identify CD-ROM
> format.
> Mar 9 17:00:27 tp kernel: [15251.224958] UDF-fs: No partition found (1)
> Mar 9 17:00:27 tp kernel: [15251.267525] ISOFS: Unable to identify CD-ROM
> format.
> Mar 9 17:00:34 tp kernel: [15258.255099] UDF-fs: No partition found (1)
> Mar 9 17:00:34 tp kernel: [15258.297917] ISOFS: Unable to identify CD-ROM
> format.
> Mar 9 17:01:46 tp kernel: [15330.242852] usb 7-2: USB disconnect, address
> 3
>
> Mar 9 17:01:48 tp kernel: [15332.378854] usb 7-...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers